﻿@model PROJETMODELE.Models.VML.TG.Sentinelle

@{
    Layout = null;
}
<script src="~/Scripts/AjouterJS.js"></script>
<div id="formulaire">
    <div>Configuration</div>
  <div class="forms">
            @using (Html.BeginForm())
            {
            @Html.AntiForgeryToken()
            @Html.ValidationSummary(true)
            
                <table>
                     <tr> 
                         <td>  @Html.LabelFor(model => model.Sentinelles)</td>
                         <td>  
                             @Html.CheckBoxFor(model => model.Sentinelles)
                         </td>
                         <td>  @Html.ValidationMessageFor(model => model.Sentinelles)</td>
                    </tr>

                    <tr> 
                         <td>  @Html.LabelFor(model => model.SentinelleConnexion)</td>
                         <td>  
                             @Html.CheckBoxFor(model => model.SentinelleConnexion)
                         </td>
                         <td>  @Html.ValidationMessageFor(model => model.SentinelleConnexion)</td>
                    </tr>

                    <tr> 
                         <td>  @Html.LabelFor(model => model.SentinelleEndConnexion)</td>
                         <td>  
                             @Html.CheckBoxFor(model => model.SentinelleEndConnexion)
                         </td>
                         <td>  @Html.ValidationMessageFor(model => model.SentinelleEndConnexion)</td>
                    </tr>

                    <tr> 
                         <td>  @Html.LabelFor(model => model.SentinelleInsert)</td>
                         <td>  
                             @Html.CheckBoxFor(model => model.SentinelleInsert)
                         </td>
                         <td>  @Html.ValidationMessageFor(model => model.SentinelleInsert)</td>
                    </tr>

                     <tr> 
                         <td>  @Html.LabelFor(model => model.SentinelleEdit)</td>
                         <td>  
                             @Html.CheckBoxFor(model => model.SentinelleEdit)
                         </td>
                         <td>  @Html.ValidationMessageFor(model => model.SentinelleEdit)</td>
                    </tr>

                    <tr> 
                         <td>  @Html.LabelFor(model => model.SentinelleDelete)</td>
                         <td>  
                             @Html.CheckBoxFor(model => model.SentinelleDelete)
                         </td>
                         <td>  @Html.ValidationMessageFor(model => model.SentinelleDelete)</td>
                    </tr>

                      <tr> 
                         <td>  @Html.LabelFor(model => model.SentinellePrint)</td>
                         <td>  
                             @Html.CheckBoxFor(model => model.SentinellePrint)
                         </td>
                         <td>  @Html.ValidationMessageFor(model => model.SentinellePrint)</td>
                    </tr>
                    <tr> 
                         <td>  @Html.LabelFor(model => model.SentinelleLife)</td>
                         <td>  
                             @Html.TextBoxFor(model => model.SentinelleLife)
                         </td>
                         <td>  @Html.ValidationMessageFor(model => model.SentinelleLife)</td>
                    </tr>
                    
                  
                 </table>
             <p>
           <button title="Valider"  type="submit" id="jqxButton" class="oufbutton send"><i class="ouf-ok"></i> Valider</button>
            <button title="Annuler"  type="button" id="jqxAnnuler" class="oufbutton fannul"><i class="ouf-cancel"></i> Annuler</button>
        </p>
            }
</div>
</div> 
<script>
    $('#formulaire').jqxValidator({
        rules: [
            { input: '#SentinelleLife', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' },
            { input: '#SentinelleLife', message: 'Le nombre de jours de vie des journaux est un nombre ex 30', action: 'keyup, blur', rule: 'number' }
        ],
    });
    $("#SentinelleLife").jqxInput({ placeHolder: "Nombre de jours ", height: 25, width: 180, theme: "ui-redmond" });
</script>